# Uses of Interface
org.opensaml.saml.saml2.core.EncryptedAssertion

Packages that use EncryptedAssertion
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of EncryptedAssertion in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type EncryptedAssertion
Modifier and Type
Method
Description
`List<EncryptedAssertion>`
Advice.`getEncryptedAssertions()`
Gets the list of EncryptedAssertions used as advice.
`List<EncryptedAssertion>`
Evidence.`getEncryptedAssertions()`
Gets the list of EncryptedAssertions used as evidence.
`List<EncryptedAssertion>`
Response.`getEncryptedAssertions()`
Return the list of EncryptedAssertion child elements.

## Uses of EncryptedAssertion in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement EncryptedAssertion
Modifier and Type
Class
Description
`class`
`EncryptedAssertionImpl`
A concrete implementation of `EncryptedAssertion`.
Methods in org.opensaml.saml.saml2.core.impl that return EncryptedAssertion
Modifier and Type
Method
Description
`EncryptedAssertion`
EncryptedAssertionBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`EncryptedAssertion`
EncryptedAssertionBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type EncryptedAssertion
Modifier and Type
Method
Description
`List<EncryptedAssertion>`
AdviceImpl.`getEncryptedAssertions()`
Gets the list of EncryptedAssertions used as advice.
`List<EncryptedAssertion>`
EvidenceImpl.`getEncryptedAssertions()`
Gets the list of EncryptedAssertions used as evidence.
`List<EncryptedAssertion>`
ResponseImpl.`getEncryptedAssertions()`
Return the list of EncryptedAssertion child elements.

## Uses of EncryptedAssertion in org.opensaml.saml.saml2.encryption

Methods in org.opensaml.saml.saml2.encryption that return EncryptedAssertion
Modifier and Type
Method
Description
`EncryptedAssertion`
Encrypter.`encrypt(Assertion assertion)`
Encrypt the specified Assertion.
Methods in org.opensaml.saml.saml2.encryption with parameters of type EncryptedAssertion
Modifier and Type
Method
Description
`Assertion`
Decrypter.`decrypt(EncryptedAssertion encryptedAssertion)`
Decrypt the specified EncryptedAssertion.

## Uses of EncryptedAssertion in org.opensaml.saml.saml2.profile.impl

Methods in org.opensaml.saml.saml2.profile.impl with parameters of type EncryptedAssertion
Modifier and Type
Method
Description
`private Assertion`
DecryptAssertions.`processEncryptedAssertion(ProfileRequestContext profileRequestContext, EncryptedAssertion encAssert)`
Decrypt an `EncryptedAssertion` and return the result.